--- old/usr/src/uts/common/sys/pset.h	Sat Aug  2 23:27:24 2014
+++ new/usr/src/uts/common/sys/pset.h	Sat Aug  2 23:27:24 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -51,7 +53,6 @@
 #define	PS_PRIVATE	2
 
 #ifndef	_KERNEL
-#ifdef	__STDC__
 
 extern int	pset_create(psetid_t *);
 extern int	pset_destroy(psetid_t);
@@ -64,20 +65,6 @@
 extern int	pset_setattr(psetid_t, uint_t);
 extern int	pset_getattr(psetid_t, uint_t *);
 
-#else
-
-extern int	pset_create();
-extern int	pset_destroy();
-extern int	pset_assign();
-extern int	pset_info();
-extern int	pset_bind();
-extern int	pset_bind_lwp();
-extern int	pset_getloadavg();
-extern int	pset_list();
-extern int	pset_setattr();
-extern int	pset_getattr();
-
-#endif	/* __STDC__ */
 #endif	/* ! _KERNEL */
 
 #endif	/* !defined(_ASM) */
--- old/usr/src/uts/common/sys/reboot.h	Sat Aug  2 23:27:25 2014
+++ new/usr/src/uts/common/sys/reboot.h	Sat Aug  2 23:27:25 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_SYS_REBOOT_H
 #define	_SYS_REBOOT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifndef _ASM
 #include <sys/types.h>
 #endif
@@ -65,11 +65,7 @@
 
 #ifndef _ASM
 
-#if defined(__STDC__)
 extern int reboot(int, char *);
-#else
-extern int reboot();
-#endif
 
 #if defined(_KERNEL)
 
--- old/usr/src/uts/common/sys/resource.h	Sat Aug  2 23:27:25 2014
+++ new/usr/src/uts/common/sys/resource.h	Sat Aug  2 23:27:25 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -39,8 +41,6 @@
 #ifndef _SYS_RESOURCE_H
 #define	_SYS_RESOURCE_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 
 #include <sys/types.h>
@@ -258,8 +258,6 @@
 #endif
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
 
-#if defined(__STDC__)
-
 extern int setrlimit(int, const struct rlimit *);
 extern int getrlimit(int, struct rlimit *);
 
@@ -274,24 +272,6 @@
 extern int setpriority(int, id_t, int);
 extern int getrusage(int, struct rusage *);
 
-#else	/* __STDC__ */
-
-extern int getrlimit();
-extern int setrlimit();
-
-/* transitional large file interfaces */
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern int setrlimit64();
-extern int getrlimit64();
-#endif	/* _LARGEFILE64_SOURCE... */
-
-extern	int getpriority();
-extern	int setpriority();
-extern	int getrusage();
-
-#endif  /* __STDC__ */
-
 #endif	/* _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/scsi/impl/commands.h	Sat Aug  2 23:27:25 2014
+++ new/usr/src/uts/common/sys/scsi/impl/commands.h	Sat Aug  2 23:27:25 2014
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -669,7 +670,6 @@
  * scsi_setup_cdb()
  */
 
-#ifdef  __STDC__
 extern void 	makecom_g0(struct scsi_pkt *pkt, struct scsi_device *devp,
 				int flag, int cmd, int addr, int cnt);
 extern void 	makecom_g0_s(struct scsi_pkt *pkt, struct scsi_device *devp,
@@ -681,16 +681,6 @@
 extern int	scsi_setup_cdb(union scsi_cdb *cdbp, uchar_t cmd, uint_t addr,
 				uint_t cnt, uint_t addtl_cdb_data);
 
-#else   /* __STDC__ */
-
-extern void 	makecom_g0();
-extern void 	makecom_g0_s();
-extern void 	makecom_g1();
-extern void 	makecom_g5();
-extern int	scsi_setup_cdb();
-
-#endif  /* __STDC__ */
-
 #endif /* _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/scsi/impl/scsi_reset_notify.h	Sat Aug  2 23:27:25 2014
+++ new/usr/src/uts/common/sys/scsi/impl/scsi_reset_notify.h	Sat Aug  2 23:27:25 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1998 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -27,8 +29,6 @@
 #ifndef	_SYS_SCSI_RESET_NOTIFY_H
 #define	_SYS_SCSI_RESET_NOTIFY_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/note.h>
 #include <sys/scsi/scsi_types.h>
 
@@ -60,7 +60,6 @@
 #endif
 
 #ifdef	_KERNEL
-#ifdef	__STDC__
 extern int scsi_hba_reset_notify_setup(struct scsi_address *, int,
 	void (*)(caddr_t), caddr_t, kmutex_t *,
 	struct scsi_reset_notify_entry **);
@@ -68,11 +67,6 @@
 	struct scsi_reset_notify_entry *listp);
 extern void scsi_hba_reset_notify_callback(kmutex_t *mutex,
 	struct scsi_reset_notify_entry **listp);
-#else	/* __STDC__ */
-extern int scsi_hba_reset_notify_setup();
-extern void scsi_hba_reset_notify_tear_down();
-extern void scsi_hba_reset_notify_callback();
-#endif	/* __STDC__ */
 
 #endif	/* _KERNEL */
 
--- old/usr/src/uts/common/sys/select.h	Sat Aug  2 23:27:25 2014
+++ new/usr/src/uts/common/sys/select.h	Sat Aug  2 23:27:25 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -152,7 +154,6 @@
 #endif /* _KERNEL */
 
 #ifndef	_KERNEL
-#ifdef	__STDC__
 extern int select(int, fd_set *_RESTRICT_KYWD, fd_set *_RESTRICT_KYWD,
 	fd_set *_RESTRICT_KYWD, struct timeval *_RESTRICT_KYWD);
 
@@ -162,12 +163,6 @@
 	const sigset_t *_RESTRICT_KYWD);
 #endif
 
-#else
-extern int select();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG6) || defined(__EXTENSIONS__)
-extern int pselect();
-#endif
-#endif	/* __STDC__ */
 #endif	/* _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/sem.h	Sat Aug  2 23:27:25 2014
+++ new/usr/src/uts/common/sys/sem.h	Sat Aug  2 23:27:25 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1997-2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef _SYS_SEM_H
 #define	_SYS_SEM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/ipc.h>
 
 #ifdef	__cplusplus
@@ -103,7 +103,6 @@
 };
 
 #if !defined(_KERNEL)
-#if defined(__STDC__)
 int semctl(int, int, int, ...);
 int semget(key_t, int, int);
 int semids(int *, uint_t, uint_t *);
@@ -111,13 +110,6 @@
 #if defined(__EXTENSIONS__) || !defined(_XOPEN_SOURCE)
 int semtimedop(int, struct sembuf *, size_t, const struct timespec *);
 #endif
-#else /* __STDC__ */
-int semctl();
-int semget();
-int semids();
-int semop();
-int semtimedop();
-#endif /* __STDC__ */
 #endif /* ! _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/sendfile.h	Sat Aug  2 23:27:25 2014
+++ new/usr/src/uts/common/sys/sendfile.h	Sat Aug  2 23:27:25 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -27,8 +29,6 @@
 #ifndef	_SYS_SENDFILE_H
 #define	_SYS_SENDFILE_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 
 #ifdef	__cplusplus
@@ -128,7 +128,6 @@
 #endif	/* __PRAGMA_REDEFINE_EXTNAME */
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
 
-#ifdef	__STDC__
 extern ssize_t sendfilev(int, const struct sendfilevec *, int, size_t *);
 extern ssize_t sendfile(int, int, off_t *, size_t);
 /* Transitional largefile interface */
@@ -137,15 +136,6 @@
 extern ssize_t sendfilev64(int, const struct sendfilevec64 *, int, size_t *);
 extern ssize_t sendfile64(int, int, off64_t *, size_t);
 #endif
-#else	/* __STDC__ */
-extern int sendfilev();
-extern int sendfile();
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern int sendfilev64();
-extern int sendfile64();
-#endif
-#endif	/* __STDC__ */
 #endif	/* _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/shm.h	Sat Aug  2 23:27:26 2014
+++ new/usr/src/uts/common/sys/shm.h	Sat Aug  2 23:27:26 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -35,8 +37,6 @@
 #ifndef	_SYS_SHM_H
 #define	_SYS_SHM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/ipc.h>
 
 #ifdef	__cplusplus
@@ -121,7 +121,6 @@
 #define	SHM_UNLOCK	4	/* Unlock segment */
 
 #if !defined(_KERNEL)
-#if defined(__STDC__)
 int shmget(key_t, size_t, int);
 int shmids(int *, uint_t, uint_t *);
 int shmctl(int, int, struct shmid_ds *);
@@ -131,13 +130,6 @@
 #else
 int shmdt(char *);
 #endif /* defined(_XPG4) */
-#else /* __STDC__ */
-int shmctl();
-int shmget();
-int shmids();
-void *shmat();
-int shmdt();
-#endif /* __STDC__ */
 #endif /* !defined(_KERNEL) */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/socket.h	Sat Aug  2 23:27:26 2014
+++ new/usr/src/uts/common/sys/socket.h	Sat Aug  2 23:27:26 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -522,7 +524,6 @@
 #endif /* (_XPG4_2) && !defined(_XPG5) */
 
 #if !defined(_KERNEL) || defined(_BOOT)
-#ifdef	__STDC__
 extern int accept(int, struct sockaddr *_RESTRICT_KYWD, Psocklen_t);
 extern int accept4(int, struct sockaddr *_RESTRICT_KYWD, Psocklen_t, int);
 extern int bind(int, const struct sockaddr *, socklen_t);
@@ -547,27 +548,6 @@
 #if !defined(_XPG4_2) || defined(_XPG6) || defined(__EXTENSIONS__)
 extern int sockatmark(int);
 #endif /* !defined(_XPG4_2) || defined(_XPG6) || defined(__EXTENSIONS__) */
-#else	/* __STDC__ */
-extern int accept();
-extern int accept4();
-extern int bind();
-extern int connect();
-extern int getpeername();
-extern int getsockname();
-extern int getsockopt();
-extern int listen();
-extern int recv();
-extern int recvfrom();
-extern int send();
-extern int sendto();
-extern int setsockopt();
-extern int sockatmark();
-extern int socket();
-extern int recvmsg();
-extern int sendmsg();
-extern int shutdown();
-extern int socketpair();
-#endif	/* __STDC__ */
 #endif	/* !defined(_KERNEL) || defined(_BOOT) */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/stat.h	Sat Aug  2 23:27:26 2014
+++ new/usr/src/uts/common/sys/stat.h	Sat Aug  2 23:27:26 2014
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -480,8 +481,6 @@
 
 #if !defined(_KERNEL) || defined(_BOOT)
 
-#if defined(__STDC__)
-
 #if !defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE > 2) || \
 	defined(_XPG4_2) || defined(__EXTENSIONS__)
 extern int fchmod(int, mode_t);
@@ -515,43 +514,6 @@
 extern int utimensat(int, const char *, const struct timespec[2], int);
 #endif	/* defined(__EXTENSIONS__) ... */
 
-#else /* !__STDC__ */
-
-#if !defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE > 2) || \
-	defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int fchmod();
-#endif /* !defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE > 2)... */
-
-extern int chmod();
-extern int mkdir();
-extern int mkfifo();
-extern mode_t umask();
-
-/* transitional large file interfaces */
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern int fstat64();
-extern int stat64();
-extern int lstat64();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) || \
-	defined(_ATFILE_SOURCE)
-extern int fstatat64();
-#endif /* defined (_ATFILE_SOURCE) */
-#endif
-
-#if defined(__EXTENSIONS__) || defined(_ATFILE_SOURCE) || \
-	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX))
-	/* || defined(_XPG7) */
-extern int mkdirat();
-extern int mkfifoat();
-extern int mknodat();
-extern int fchmodat();
-extern int futimens();
-extern int utimensat();
-#endif	/* defined(__EXTENSIONS__) ... */
-
-#endif /* defined(__STDC__) */
-
 #include <sys/stat_impl.h>
 
 #endif /* !defined(_KERNEL) */
--- old/usr/src/uts/common/sys/statfs.h	Sat Aug  2 23:27:26 2014
+++ new/usr/src/uts/common/sys/statfs.h	Sat Aug  2 23:27:26 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1996 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -30,8 +32,6 @@
 #ifndef _SYS_STATFS_H
 #define	_SYS_STATFS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -71,7 +71,7 @@
 
 #endif	/* _SYSCALL32 */
 
-#if defined(__STDC__) && !defined(_KERNEL)
+#if !defined(_KERNEL)
 int statfs(const char *, struct statfs *, int, int);
 int fstatfs(int, struct statfs *, int, int);
 #endif
--- old/usr/src/uts/common/sys/statvfs.h	Sat Aug  2 23:27:26 2014
+++ new/usr/src/uts/common/sys/statvfs.h	Sat Aug  2 23:27:26 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +32,6 @@
 #ifndef _SYS_STATVFS_H
 #define	_SYS_STATVFS_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.10 */
-
 #include <sys/feature_tests.h>
 #include <sys/types.h>
 
@@ -188,7 +187,6 @@
 #endif
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
 
-#if defined(__STDC__)
 int statvfs(const char *_RESTRICT_KYWD, statvfs_t *_RESTRICT_KYWD);
 int fstatvfs(int, statvfs_t *);
 
@@ -198,7 +196,6 @@
 int statvfs64(const char *_RESTRICT_KYWD, statvfs64_t *_RESTRICT_KYWD);
 int fstatvfs64(int, statvfs64_t *);
 #endif	/* _LARGEFILE64_SOURCE... */
-#endif	/* defined(__STDC__) */
 #endif	/* !defined(_KERNEL) */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/sunpm.h	Sat Aug  2 23:27:26 2014
+++ new/usr/src/uts/common/sys/sunpm.h	Sat Aug  2 23:27:26 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -99,14 +101,6 @@
 #define	PM_LEVEL_D0_STR		"3=Device D0 State"
 
 /*
- * If you add or remove a function or data reference, please
- * remember to duplicate the action below the #else clause for
- * __STDC__.
- */
-
-#ifdef	__STDC__
-
-/*
  * Generic Sun PM definitions.
  */
 
@@ -114,70 +108,34 @@
  * These are obsolete power management interfaces, they will be removed from
  * a subsequent release.
  */
-int
-pm_create_components(dev_info_t *dip, int num_components);
+int pm_create_components(dev_info_t *dip, int num_components);
 
-void
-pm_destroy_components(dev_info_t *dip);
+void pm_destroy_components(dev_info_t *dip);
 
-void
-pm_set_normal_power(dev_info_t *dip, int component_number, int level);
+void pm_set_normal_power(dev_info_t *dip, int component_number, int level);
 
-int
-pm_get_normal_power(dev_info_t *dip, int component_number);
+int pm_get_normal_power(dev_info_t *dip, int component_number);
 
 /*
  * These are power management interfaces.
  */
 
-int
-pm_busy_component(dev_info_t *dip, int component_number);
+int pm_busy_component(dev_info_t *dip, int component_number);
 
-int
-pm_idle_component(dev_info_t *dip, int component_number);
+int pm_idle_component(dev_info_t *dip, int component_number);
 
-int
-pm_get_current_power(dev_info_t *dip, int component, int *levelp);
+int pm_get_current_power(dev_info_t *dip, int component, int *levelp);
 
-int
-pm_power_has_changed(dev_info_t *, int, int);
+int pm_power_has_changed(dev_info_t *, int, int);
 
-int
-pm_trans_check(struct pm_trans_data *datap, time_t *intervalp);
+int pm_trans_check(struct pm_trans_data *datap, time_t *intervalp);
 
-int
-pm_lower_power(dev_info_t *dip, int comp, int level);
+int pm_lower_power(dev_info_t *dip, int comp, int level);
 
-int
-pm_raise_power(dev_info_t *dip, int comp, int level);
+int pm_raise_power(dev_info_t *dip, int comp, int level);
 
-int
-pm_update_maxpower(dev_info_t *dip, int comp, int level);
+int pm_update_maxpower(dev_info_t *dip, int comp, int level);
 
-#else	/* __STDC__ */
-
-/*
- * Obsolete interfaces.
- */
-extern int pm_create_components();
-extern void pm_destroy_components();
-extern void pm_set_normal_power();
-extern int pm_get_normal_power();
-
-/*
- * PM interfaces
- */
-extern int pm_busy_component();
-extern int pm_idle_component();
-extern int pm_get_current_power();
-extern int pm_power_has_changed();
-extern int pm_trans_check();
-extern int pm_lower_power();
-extern int pm_raise_power();
-extern int pm_update_maxpower();
-
-#endif	/* __STDC__ */
-
 #endif	/* _KERNEL */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/swap.h	Sat Aug  2 23:27:26 2014
+++ new/usr/src/uts/common/sys/swap.h	Sat Aug  2 23:27:26 2014
@@ -19,6 +19,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1987, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -112,11 +113,7 @@
 extern int swapctl32(int, void *, int *);
 #endif /* _LP64 && _SYSCALL32 */
 #else /* !_KERNEL */
-#if defined(__STDC__)
 extern int swapctl(int, void *);
-#else
-extern int swapctl();
-#endif
 #endif /* _KERNEL */
 
 
--- old/usr/src/uts/common/sys/syscall.h	Sat Aug  2 23:27:27 2014
+++ new/usr/src/uts/common/sys/syscall.h	Sat Aug  2 23:27:27 2014
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2013 by Delphix. All rights reserved.
  */
@@ -506,15 +507,9 @@
 
 #if !defined(_KERNEL)
 
-#if defined(__STDC__)
 extern int	syscall(int, ...);
 extern int	__systemcall(sysret_t *, int, ...);
 extern int	__set_errno(int);
-#else
-extern int	syscall();
-extern int	__systemcall();
-extern int	__set_errno();
-#endif
 
 #endif	/* _KERNEL */
 
--- old/usr/src/uts/common/sys/systeminfo.h	Sat Aug  2 23:27:27 2014
+++ new/usr/src/uts/common/sys/systeminfo.h	Sat Aug  2 23:27:27 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -98,12 +100,8 @@
 						/* name */
 
 #if !defined(_KERNEL)
-#if defined(__STDC__)
 int sysinfo(int, char *, long);
-#else
-int sysinfo();
 #endif
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/t_kuser.h	Sat Aug  2 23:27:27 2014
+++ new/usr/src/uts/common/sys/t_kuser.h	Sat Aug  2 23:27:27 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1998 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -91,9 +93,6 @@
  */
 #define		MADE_FP		0x02
 
-
-#ifdef __STDC__
-
 extern int	t_kalloc(TIUSER *, int, int, char **);
 extern int	t_kbind(TIUSER *, struct t_bind *, struct t_bind *);
 extern int	t_kclose(TIUSER *, int);
@@ -110,25 +109,6 @@
 extern int	t_tlitosyserr(int);
 extern int	get_ok_ack(TIUSER *, int, int);
 
-#else
-
-extern int	t_kalloc();
-extern int	t_kbind();
-extern int	t_kclose();
-extern int	t_kconnect();
-extern int	t_kfree();
-extern int	t_kgetstate();
-extern int	t_kopen();
-extern int	t_krcvudata();
-extern int	t_ksndudata();
-extern int	t_kspoll();
-extern int	t_kunbind();
-extern int	tli_send();
-extern int	tli_recv();
-extern int	t_tlitosyserr();
-extern int	get_ok_ack();
-#endif	/* __STDC__ */
-
 /*
  * these make life a lot easier
  */
--- old/usr/src/uts/common/sys/termios.h	Sat Aug  2 23:27:27 2014
+++ new/usr/src/uts/common/sys/termios.h	Sat Aug  2 23:27:27 2014
@@ -23,6 +23,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright (c) 1988, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -98,8 +100,6 @@
 
 #ifndef _KERNEL
 
-#if defined(__STDC__)
-
 extern speed_t cfgetospeed(const struct termios *);
 extern int cfsetospeed(struct termios *, speed_t);
 extern speed_t cfgetispeed(const struct termios *);
@@ -111,28 +111,9 @@
 extern int tcflush(int, int);
 extern int tcflow(int, int);
 
-#else
-
-extern speed_t cfgetospeed();
-extern int cfsetospeed();
-extern speed_t cfgetispeed();
-extern int cfsetispeed();
-extern int tcgetattr();
-extern int tcsetattr();
-extern int tcsendbreak();
-extern int tcdrain();
-extern int tcflush();
-extern int tcflow();
-
-#endif /* __STDC__ */
-
 #if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
 
-#if defined(__STDC__)
 extern pid_t tcgetsid(int);
-#else
-extern pid_t tcgetsid();
-#endif /* __STDC__ */
 
 #endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) ... */
 
--- old/usr/src/uts/common/sys/time.h	Sat Aug  2 23:27:27 2014
+++ new/usr/src/uts/common/sys/time.h	Sat Aug  2 23:27:27 2014
@@ -9,6 +9,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -372,27 +374,17 @@
 #endif /* _KERNEL */
 
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-#if defined(__STDC__)
 int adjtime(struct timeval *, struct timeval *);
-#else
-int adjtime();
-#endif
 #endif /* !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) ... */
 
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || \
 	defined(_ATFILE_SOURCE) || defined(__EXTENSIONS__)
-#if defined(__STDC__)
 int futimesat(int, const char *, const struct timeval *);
-#else
-int futimesat();
-#endif /* defined(__STDC__) */
 #endif /* defined(__ATFILE_SOURCE) */
 
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || \
 	defined(__EXTENSIONS__)
 
-#if defined(__STDC__)
-
 int getitimer(int, struct itimerval *);
 int utimes(const char *, const struct timeval *);
 #if defined(_XPG4_2)
@@ -403,12 +395,6 @@
 	struct itimerval *_RESTRICT_KYWD);
 #endif /* defined(_XPG2_2) */
 
-#else /* __STDC__ */
-
-int gettimer();
-int settimer();
-int utimes();
-#endif /* __STDC__ */
 #endif /* !defined(_KERNEL) ... defined(_XPG4_2) */
 
 /*
@@ -427,7 +413,6 @@
  */
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
 
-#if defined(__STDC__)
 #if defined(_SVID_GETTOD)
 int settimeofday(struct timeval *);
 #else
@@ -435,11 +420,6 @@
 #endif
 hrtime_t	gethrtime(void);
 hrtime_t	gethrvtime(void);
-#else /* __STDC__ */
-int settimeofday();
-hrtime_t	gethrtime();
-hrtime_t	gethrvtime();
-#endif /* __STDC__ */
 
 #endif /* !(defined _KERNEL) && !defined(__XOPEN_OR_POSIX) ... */
 
@@ -446,15 +426,11 @@
 #if !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || \
 	defined(__EXTENSIONS__)
 
-#if defined(__STDC__)
 #if defined(_SVID_GETTOD)
 int gettimeofday(struct timeval *);
 #else
 int gettimeofday(struct timeval *_RESTRICT_KYWD, void *_RESTRICT_KYWD);
 #endif
-#else /* __STDC__ */
-int gettimeofday();
-#endif /* __STDC__ */
 
 #endif /* !defined(_KERNEL) && !defined(__XOPEN_OR_POSIX) ... */
 
--- old/usr/src/uts/common/sys/timeb.h	Sat Aug  2 23:27:27 2014
+++ new/usr/src/uts/common/sys/timeb.h	Sat Aug  2 23:27:27 2014
@@ -1,4 +1,6 @@
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -6,8 +8,6 @@
 #ifndef	_SYS_TIMEB_H
 #define	_SYS_TIMEB_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -60,11 +60,7 @@
 	short	dstflag;		/* DST == non-zero */
 };
 
-#if defined(__STDC__)
 extern int ftime(struct timeb *);
-#else
-extern int ftime();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/times.h	Sat Aug  2 23:27:27 2014
+++ new/usr/src/uts/common/sys/times.h	Sat Aug  2 23:27:27 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef _SYS_TIMES_H
 #define	_SYS_TIMES_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 11.7 */
-
 #include <sys/types.h>
 
 #ifdef	__cplusplus
@@ -58,11 +59,7 @@
 
 #endif	/* _SYSCALL32 */
 
-#if defined(__STDC__)
 clock_t times(struct tms *);
-#else
-clock_t times();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/uts/common/sys/timex.h	Sat Aug  2 23:27:28 2014
+++ new/usr/src/uts/common/sys/timex.h	Sat Aug  2 23:27:28 2014
@@ -13,6 +13,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1996-1997, 2002 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -20,8 +22,6 @@
 #ifndef	_SYS_TIMEX_H
 #define	_SYS_TIMEX_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -237,16 +237,11 @@
 	int32_t stbcnt;		/* stability limit exceeded (ro) */
 };
 
-#if defined(__STDC__)
 /*
  * NTP syscalls
  */
 int ntp_gettime(struct ntptimeval *);
 int ntp_adjtime(struct timex *);
-#else
-int ntp_gettime();
-int ntp_adjtime();
-#endif /* __STDC__ */
 
 #ifdef _KERNEL
 
--- old/usr/src/uts/common/sys/tiuser.h	Sat Aug  2 23:27:28 2014
+++ new/usr/src/uts/common/sys/tiuser.h	Sat Aug  2 23:27:28 2014
@@ -26,6 +26,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  * Copyright 2014 Gary Mills
@@ -192,8 +194,6 @@
 #define	LOCALNAME	0
 #define	REMOTENAME	1
 
-#if defined(__STDC__)
-
 extern int t_accept(int fildes, int resfd, struct t_call *call);
 extern char *t_alloc(int fildes, int struct_type, int fields);
 extern int t_bind(int fildes, struct t_bind *req, struct t_bind *ret);
@@ -230,8 +230,6 @@
 extern char *t_errlist[];
 extern int t_nerr;
 
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/uts/common/sys/uadmin.h	Sat Aug  2 23:27:28 2014
+++ new/usr/src/uts/common/sys/uadmin.h	Sat Aug  2 23:27:28 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -160,11 +162,7 @@
 extern void killall(zoneid_t);
 #endif
 
-#if defined(__STDC__)
 extern int uadmin(int, int, uintptr_t);
-#else
-extern int uadmin();
-#endif
 
 #endif	/* _ASM */
 
--- old/usr/src/uts/common/sys/uio.h	Sat Aug  2 23:27:28 2014
+++ new/usr/src/uts/common/sys/uio.h	Sat Aug  2 23:27:28 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -249,18 +251,9 @@
 
 #else	/* defined(_KERNEL) */
 
-#if 	defined(__STDC__)
-
 extern ssize_t readv(int, const struct iovec *, int);
 extern ssize_t writev(int, const struct iovec *, int);
 
-#else	/* defined(__STDC__) */
-
-extern ssize_t readv();
-extern ssize_t writev();
-
-#endif	/* defined(__STDC__) */
-
 #endif	/* defined(_KERNEL) */
 
 #ifdef	__cplusplus
--- old/usr/src/uts/common/sys/utsname.h	Sat Aug  2 23:27:28 2014
+++ new/usr/src/uts/common/sys/utsname.h	Sat Aug  2 23:27:28 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -63,8 +65,6 @@
 
 #if defined(__i386) && !defined(__amd64)
 
-#if defined(__STDC__)
-
 extern int uname(struct utsname *);
 extern int _uname(struct utsname *);
 
@@ -73,18 +73,6 @@
 #endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
 extern int _nuname(struct utsname *);
 
-#else	/* defined(__STDC__) */
-
-extern int uname();
-extern int _uname();
-
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int nuname();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-extern int _nuname();
-
-#endif	/* defined(__STDC__) */
-
 /*
  * On i386 in SVID.2 uname() returns a utsname structure with 8 byte members,
  * and nuname() returns the real struct utsname.  In SVID.3 uname and nuname
@@ -102,11 +90,7 @@
 
 #else	/* defined(__i386) */
 
-#if defined(__STDC__)
 extern int uname(struct utsname *);
-#else
-extern int uname();
-#endif	/* (__STDC__) */
 
 #endif	/* defined(__i386) */
 
--- old/usr/src/uts/common/sys/va_impl.h	Sat Aug  2 23:27:28 2014
+++ new/usr/src/uts/common/sys/va_impl.h	Sat Aug  2 23:27:28 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -118,18 +120,9 @@
 
 /* ISA __va_list structures defined in <sys/va_list.h> */
 
-#if defined(__STDC__)	/* source language is ISO C or C++ */
-
 void __builtin_va_start(__va_list, ...);
 void *__builtin_va_arg_incr(__va_list, ...);
 
-#else	/* source language is K&R C */
-
-int __builtin_va_start();
-char *__builtin_va_arg_incr();
-
-#endif	/* source language */
-
 #define	__va_start(list, name)	__builtin_va_start(list, 0)
 #define	__va_arg(list, type)	\
 	((type *)__builtin_va_arg_incr(list, (type *)0))[0]
--- old/usr/src/uts/common/sys/va_list.h	Sat Aug  2 23:27:28 2014
+++ new/usr/src/uts/common/sys/va_list.h	Sat Aug  2 23:27:28 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -76,18 +78,9 @@
 #define	__va_alist_type int
 #endif
 
-#if defined(__STDC__) /* source language is ISO C or C++ */
-
 #define	__va_void(expr)	((void)expr)
 #define	__va_ptr_base	void
 
-#else /* source language is K&R C */
-
-#define	__va_void(expr)	expr
-#define	__va_ptr_base	char
-
-#endif /* __STDC__ */
-
 #if defined(__BUILTIN_VA_STRUCT) && !defined(__lint)	/* -------- protocol */
 
 #if defined(__amd64)	/* processor */
